> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Deal Stock Info

GET https://api.filesearch.dev/v2/datasets/odyssey/deals/{id}/stock-info

Get current stock information for a deal's company. Public companies only.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/deals/deals-stock-info

## Request

### Path parameters

- `id` (string, required) — Deal entity ID

## Response

### 200

Successful Response

- `deal_id` (string, optional)
- `company_name` (string, optional)
- `search_results` (list of OdysseyDealsStockInfoResponseSearchResultsItems, optional)
- `data_sources` (list of string, optional)

## Types

### OdysseyDealsStockInfoResponseSearchResultsItems

- `title` (string, optional)
- `url` (string, optional)
- `snippet` (string, optional)

## Examples

**Response**

```json
{
  "deal_id": "deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0",
  "company_name": "openai.com",
  "search_results": [
    {
      "title": "OpenAI (OPAI.PVT) Valuation, History & News",
      "url": "https://finance.yahoo.com/quote/OPAI.PVT/",
      "snippet": "389.03% · Estimated Valuation 908.81B · Latest Funding Date Mar 31, 2026 · Total Amount Raised 178.07B · Latest Amount Raised 68.21k · Total Funding Rounds 11 ...Read more"
    },
    {
      "title": "Invest and Sell OpenAI Stock",
      "url": "https://forgeglobal.com/openai_stock/",
      "snippet": "OpenAI is a private company, meaning it does not have a publicly traded stock price. However, as of 07/03/2026 the OpenAI Forge Price is $721.85 per share. The ...Read more"
    }
  ],
  "data_sources": [
    "google_serp"
  ]
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/stock-info",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/stock-info`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```